Subject: bug#31623: 27.0; Elisp manual, index entry "; in comment"

From: Drew Adams <[email-masked]>
Date: Tue, 29 May 2018 16:47:07 -0700 (PDT)

> > From the text of index entry "; in comment" I would expect a node that
> > talks about the use of `;' inside a comment.  I cannot imagine what
> > other sense someone might make of this index-entry text.
> >
> > But the target of the index entry, node `Comments', does not seem to
> > say anything about a `;' character inside a comment.
> 
> As far as I can tell, it refers to this sentence:
> 
>     In Lisp, a semicolon (`;') starts a comment if it is not
>     within a string or character constant.
> 
> So, if it is not "within a string or character constant" then the
> semicolon is in a comment.

OK, if you say so. ;-)  I was thinking more about "in"
meaning after `comment-start'.  But yes, I guess that's
what was intended.

If that's the intention then I think it might be clearer
if the index entry were "; outside a comment" or maybe
"; not in a comment".

In any case, that statement is not really true: a semicolon
does not always start a comment in Lisp whenever it is not
within a string or a character constant.  There is also the
case of it being escaped in a symbol name.  E.g.,

(setq a\;b  42)

(Dunno whether there are additional cases - perhaps not.)